---
title: MediaStreamTrack.label
slug: Web/API/MediaStreamTrack/label
tags:
  - Media Capture and Streams
  - MediaStreamTrack
  - NeedsExample
  - Property
  - Read-only
  - Reference
  - WebRTC
---
<div>{{APIRef("Media Capture and Streams")}}</div>

<p><span class="seoSummary">The <code><strong>MediaStreamTrack.label</strong></code> read-only property returns a {{domxref("DOMString")}} containing a {{glossary("user agent")}}-assigned label that identifies the track source, as in <code>"internal microphone"</code>.</span> The string may be left empty and is empty as long as no source has been connected. When the track is deassociated from its source, the label is not changed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>label</em> = <em>track</em>.label</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Media Capture', '#dom-mediastreamtrack-label', 'MediaStreamTrack.label') }}</td>
   <td>{{ Spec2('Media Capture') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrack.label")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
</ul>
